]> scripts.mit.edu Git - autoinstalls/wordpress.git/blobdiff - wp-includes/js/tinymce/wp-tinymce.php
WordPress 4.1.4-scripts
[autoinstalls/wordpress.git] / wp-includes / js / tinymce / wp-tinymce.php
index 449f0e25f95cf2c28bdabb19aec700972d1862fc..922df9fc150d94d3102f041914ae68aab44cc2bc 100644 (file)
@@ -2,7 +2,7 @@
 /**
  * Disable error reporting
  *
- * Set this to error_reporting( E_ALL ) or error_reporting( E_ALL | E_STRICT ) for debugging
+ * Set this to error_reporting( -1 ) for debugging.
  */
 error_reporting(0);
 
@@ -19,7 +19,7 @@ function get_file($path) {
        return @file_get_contents($path);
 }
 
-$expires_offset = 31536000;
+$expires_offset = 31536000; // 1 year
 
 header('Content-Type: application/x-javascript; charset=UTF-8');
 header('Vary: Accept-Encoding'); // Handle proxies
@@ -32,6 +32,8 @@ if ( isset($_GET['c']) && 1 == $_GET['c'] && isset($_SERVER['HTTP_ACCEPT_ENCODIN
        header('Content-Encoding: gzip');
        echo $file;
 } else {
-       echo get_file($basepath . '/tiny_mce.js');
+       // Back compat. This file shouldn't be used if this condition can occur (as in, if gzip isn't accepted).
+       echo get_file( $basepath . '/tinymce.min.js' );
+       echo get_file( $basepath . '/plugins/compat3x/plugin.min.js' );
 }
 exit;